/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","react","@emotion/css","@grafana/ui","rxjs","@grafana/runtime","lodash","redux","react-redux","moment"],((e,t,r,n,o,i,a,s,l,u)=>(()=>{var c,E,d={9571:(e,t,r)=>{"use strict";r.d(t,{B:()=>c});var n=r(6089),o=r(5959),i=r.n(o),a=r(2007),s=Object.getOwnPropertySymbols,l=Object.prototype.hasOwnProperty,u=Object.prototype.propertyIsEnumerable;const c=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)l.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&s)for(var n of s(e))t.indexOf(n)<0&&u.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const c=(0,a.useStyles2)((0,o.useCallback)((e=>E(e,n)),[n]));return i().createElement("div",{className:c.root},r)},E=(e,t)=>{var r,o,i;return{root:(0,n.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(o=t.wrap)||o?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(i=t.gap)?i:2),flexGrow:t.flexGrow})}}},7317:(e,t,r)=>{"use strict";r.d(t,{N:()=>a});var n=r(6013);const o="column",i=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[o],type:n.hh.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:n.hh.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:n.hh.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[o,"'5m'"],type:n.hh.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:n.hh.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:n.hh.Column,description:"Will be replaced by the query column."}];function a(e,t){var r,o,a;const s={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(s.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const l=[];return(null==(r=null==t?void 0:t.comparisonOperators)?void 0:r.length)&&l.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:n.hu.Comparison})))),t.logicalOperators=null!=(o=t.logicalOperators)?o:t.operators,(null==(a=null==t?void 0:t.logicalOperators)?void 0:a.length)&&l.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:n.hu.Logical})))),s.supportedOperators=()=>l,s.supportedMacros=()=>i,s}},6013:(e,t,r)=>{"use strict";r.d(t,{Io:()=>u,X7:()=>a,_E:()=>c,hh:()=>o,hu:()=>n,ks:()=>i,lX:()=>E,mY:()=>l,ng:()=>s});var n=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(n||{}),o=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(o||{}),i=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(i||{}),a=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(a||{}),s=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(s||{}),l=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(l||{}),u=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(u||{}),c=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(c||{}),E=(e=>(e.Builder="builder",e.Code="code",e))(E||{})},1510:e=>{"use strict";e.exports=function e(t,r){if(t===r)return!0;if(t&&r&&"object"==typeof t&&"object"==typeof r){if(t.constructor!==r.constructor)return!1;var n,o,i;if(Array.isArray(t)){if((n=t.length)!=r.length)return!1;for(o=n;0!=o--;)if(!e(t[o],r[o]))return!1;return!0}if(t.constructor===RegExp)return t.source===r.source&&t.flags===r.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===r.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===r.toString();if((n=(i=Object.keys(t)).length)!==Object.keys(r).length)return!1;for(o=n;0!=o--;)if(!Object.prototype.hasOwnProperty.call(r,i[o]))return!1;for(o=n;0!=o--;){var a=i[o];if(!("_owner"===a&&t.$$typeof||e(t[a],r[a])))return!1}return!0}return t!=t&&r!=r}},5948:(e,t,r)=>{var n=r(2062)(r(9965),"DataView");e.exports=n},5455:(e,t,r)=>{var n=r(2062)(r(9965),"Map");e.exports=n},6420:(e,t,r)=>{var n=r(2062)(r(9965),"Promise");e.exports=n},2833:(e,t,r)=>{var n=r(2062)(r(9965),"Set");e.exports=n},2609:(e,t,r)=>{var n=r(9965).Symbol;e.exports=n},8143:(e,t,r)=>{var n=r(2062)(r(9965),"WeakMap");e.exports=n},6791:(e,t,r)=>{var n=r(2784),o=r(5196),i=r(4913),a=r(4264),s=r(6665),l=r(5087),u=Object.prototype.hasOwnProperty;e.exports=function(e,t){var r=i(e),c=!r&&o(e),E=!r&&!c&&a(e),d=!r&&!c&&!E&&l(e),p=r||c||E||d,f=p?n(e.length,String):[],T=f.length;for(var h in e)!t&&!u.call(e,h)||p&&("length"==h||E&&("offset"==h||"parent"==h)||d&&("buffer"==h||"byteLength"==h||"byteOffset"==h)||s(h,T))||f.push(h);return f}},1428:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=Array(n);++r<n;)o[r]=t(e[r],r,e);return o}},3323:e=>{e.exports=function(e,t,r,n){for(var o=e.length,i=r+(n?1:-1);n?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},9048:(e,t,r)=>{var n=r(2609),o=r(2899),i=r(7222),a=n?n.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},9555:(e,t,r)=>{var n=r(3323),o=r(8967),i=r(5951);e.exports=function(e,t,r){return t==t?i(e,t,r):n(e,o,r)}},3070:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==n(e)}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,r)=>{var n=r(1866),o=r(3248),i=r(7453),a=r(3761),s=/^\[object .+?Constructor\]$/,l=Function.prototype,u=Object.prototype,c=l.toString,E=u.hasOwnProperty,d=RegExp("^"+c.call(E).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(n(e)?d:s).test(a(e))}},9653:(e,t,r)=>{var n=r(9048),o=r(582),i=r(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[n(e)]}},6504:(e,t,r)=>{var n=r(5735),o=r(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return o(e);var t=[];for(var r in Object(e))i.call(e,r)&&"constructor"!=r&&t.push(r);return t}},1459:e=>{var t=Math.floor;e.exports=function(e,r){var n="";if(!e||r<1||r>9007199254740991)return n;do{r%2&&(n+=e),(r=t(r/2))&&(e+=e)}while(r);return n}},2784:e=>{e.exports=function(e,t){for(var r=-1,n=Array(e);++r<e;)n[r]=t(r);return n}},9764:(e,t,r)=>{var n=r(2609),o=r(1428),i=r(4913),a=r(7386),s=n?n.prototype:void 0,l=s?s.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return l?l.call(t):"";var r=t+"";return"0"==r&&1/t==-1/0?"-0":r}},7248:(e,t,r)=>{var n=r(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,n(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},1282:(e,t,r)=>{var n=r(1428);e.exports=function(e,t){return n(t,(function(t){return e[t]}))}},2489:(e,t,r)=>{var n=r(9965)["__core-js_shared__"];e.exports=n},6392:(e,t,r)=>{var n="object"==typeof r.g&&r.g&&r.g.Object===Object&&r.g;e.exports=n},2062:(e,t,r)=>{var n=r(4363),o=r(5240);e.exports=function(e,t){var r=o(e,t);return n(r)?r:void 0}},2899:(e,t,r)=>{var n=r(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,s=n?n.toStringTag:void 0;e.exports=function(e){var t=i.call(e,s),r=e[s];try{e[s]=void 0;var n=!0}catch(e){}var o=a.call(e);return n&&(t?e[s]=r:delete e[s]),o}},6053:(e,t,r)=>{var n=r(5948),o=r(5455),i=r(6420),a=r(2833),s=r(8143),l=r(9048),u=r(3761),c="[object Map]",E="[object Promise]",d="[object Set]",p="[object WeakMap]",f="[object DataView]",T=u(n),h=u(o),O=u(i),R=u(a),S=u(s),m=l;(n&&m(new n(new ArrayBuffer(1)))!=f||o&&m(new o)!=c||i&&m(i.resolve())!=E||a&&m(new a)!=d||s&&m(new s)!=p)&&(m=function(e){var t=l(e),r="[object Object]"==t?e.constructor:void 0,n=r?u(r):"";if(n)switch(n){case T:return f;case h:return c;case O:return E;case R:return d;case S:return p}return t}),e.exports=m},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,r){var n=typeof e;return!!(r=null==r?9007199254740991:r)&&("number"==n||"symbol"!=n&&t.test(e))&&e>-1&&e%1==0&&e<r}},3632:(e,t,r)=>{var n=r(6424),o=r(7134),i=r(6665),a=r(7453);e.exports=function(e,t,r){if(!a(r))return!1;var s=typeof t;return!!("number"==s?o(r)&&i(t,r.length):"string"==s&&t in r)&&n(r[t],e)}},3248:(e,t,r)=>{var n,o=r(2489),i=(n=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var r=e&&e.constructor;return e===("function"==typeof r&&r.prototype||t)}},9458:(e,t,r)=>{var n=r(8303)(Object.keys,Object);e.exports=n},1977:(e,t,r)=>{e=r.nmd(e);var n=r(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&n.process,s=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=s},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(r){return e(t(r))}}},9965:(e,t,r)=>{var n=r(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=n||o||Function("return this")();e.exports=i},5951:e=>{e.exports=function(e,t,r){for(var n=r-1,o=e.length;++n<o;)if(e[n]===t)return n;return-1}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var r=e.length;r--&&t.test(e.charAt(r)););return r}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,r)=>{var n=r(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=n(e))&&i.test(e)?e.replace(o,"\\$&"):e}},1283:(e,t,r)=>{var n=r(9555),o=r(7134),i=r(8951),a=r(5729),s=r(1624),l=Math.max;e.exports=function(e,t,r,u){e=o(e)?e:s(e),r=r&&!u?a(r):0;var c=e.length;return r<0&&(r=l(c+r,0)),i(e)?r<=c&&e.indexOf(t,r)>-1:!!c&&n(e,t,r)>-1}},5196:(e,t,r)=>{var n=r(3070),o=r(9466),i=Object.prototype,a=i.hasOwnProperty,s=i.propertyIsEnumerable,l=n(function(){return arguments}())?n:function(e){return o(e)&&a.call(e,"callee")&&!s.call(e,"callee")};e.exports=l},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,r)=>{var n=r(1866),o=r(582);e.exports=function(e){return null!=e&&o(e.length)&&!n(e)}},4264:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=r(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,s=a&&a.exports===i?n.Buffer:void 0,l=(s?s.isBuffer:void 0)||o;e.exports=l},7969:(e,t,r)=>{var n=r(6504),o=r(6053),i=r(5196),a=r(4913),s=r(7134),l=r(4264),u=r(5735),c=r(5087),E=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(s(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||l(e)||c(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(u(e))return!n(e).length;for(var r in e)if(E.call(e,r))return!1;return!0}},1866:(e,t,r)=>{var n=r(9048),o=r(7453);e.exports=function(e){if(!o(e))return!1;var t=n(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},8951:(e,t,r)=>{var n=r(9048),o=r(4913),i=r(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==n(e)}},7386:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==n(e)}},5087:(e,t,r)=>{var n=r(9653),o=r(277),i=r(1977),a=i&&i.isTypedArray,s=a?o(a):n;e.exports=s},3790:(e,t,r)=>{var n=r(6791),o=r(6504),i=r(7134);e.exports=function(e){return i(e)?n(e):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},9901:(e,t,r)=>{var n=r(1459),o=r(3632),i=r(5729),a=r(3158);e.exports=function(e,t,r){return t=(r?o(e,t,r):void 0===t)?1:i(t),n(a(e),t)}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,r)=>{var n=r(3662),o=1/0;e.exports=function(e){return e?(e=n(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,r)=>{var n=r(1144);e.exports=function(e){var t=n(e),r=t%1;return t==t?r?t-r:t:0}},3662:(e,t,r)=>{var n=r(7248),o=r(7453),i=r(7386),a=/^[-+]0x[0-9a-f]+$/i,s=/^0b[01]+$/i,l=/^0o[0-7]+$/i,u=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=n(e);var r=s.test(e);return r||l.test(e)?u(e.slice(2),r?2:8):a.test(e)?NaN:+e}},3158:(e,t,r)=>{var n=r(9764);e.exports=function(e){return null==e?"":n(e)}},1624:(e,t,r)=>{var n=r(1282),o=r(3790);e.exports=function(e){return null==e?[]:n(e,o(e))}},8044:(e,t,r)=>{"use strict";var n=r(5959),o=Symbol.for("react.element"),i=Symbol.for("react.fragment"),a=Object.prototype.hasOwnProperty,s=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,l={key:!0,ref:!0,__self:!0,__source:!0};function u(e,t,r){var n,i={},u=null,c=null;for(n in void 0!==r&&(u=""+r),void 0!==t.key&&(u=""+t.key),void 0!==t.ref&&(c=t.ref),t)a.call(t,n)&&!l.hasOwnProperty(n)&&(i[n]=t[n]);if(e&&e.defaultProps)for(n in t=e.defaultProps)void 0===i[n]&&(i[n]=t[n]);return{$$typeof:o,type:e,key:u,ref:c,props:i,_owner:s.current}}t.Fragment=i,t.jsx=u,t.jsxs=u},9728:(e,t,r)=>{"use strict";e.exports=r(8044)},9157:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=l(r(1283)),o=l(r(1025)),i=l(r(2520)),a=l(r(9137)),s=l(r(9429));function l(e){return e&&e.__esModule?e:{default:e}}function u(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var c=function(e){return e.replace(/[\t ]+$/,"")},E=function(){function e(t,r,n){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new s.default(this.cfg.params),this.tokenizer=r,this.tokenOverride=n,this.previousReservedWord={},this.tokens=[],this.index=0}var t,r;return t=e,r=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(r,n){e.index=n,e.tokenOverride&&(r=e.tokenOverride(r,e.previousReservedWord)||r),r.type===o.default.WHITESPACE||(r.type===o.default.LINE_COMMENT?t=e.formatLineComment(r,t):r.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(r,t):r.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED?(t=e.formatWithSpaces(r,t),e.previousReservedWord=r):t=r.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(r,t):r.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(r,t):r.type===o.default.PLACEHOLDER?e.formatPlaceholder(r,t):","===r.value?e.formatComma(r,t):":"===r.value?e.formatWithSpaceAfter(r,t):"."===r.value?e.formatWithoutSpaces(r,t):";"===r.value?e.formatQuerySeparator(r,t):e.formatWithSpaces(r,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var r=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,n.default)(r,this.previousToken().type)||(t=c(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=c(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return c(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return c(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),c(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=c(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],r&&u(t.prototype,r),e}();t.default=E,e.exports=t.default},2520:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9901)),o=i(r(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s="top-level",l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,r;return t=e,(r=[{key:"getIndent",value:function(){return(0,n.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(s)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===s&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===s;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,r),e}();t.default=l,e.exports=t.default},9137:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n,o=(n=r(1025))&&n.__esModule?n:{default:n};function i(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,r;return t=e,(r=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var r=0,n=0,i=t;i<e.length;i++){var a=e[i];if((r+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)n++;else if(a.type===o.default.CLOSE_PAREN&&0==--n)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,r=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===r}}])&&i(t.prototype,r),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function r(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,n;return t=e,(n=[{key:"get",value:function(e){var t=e.key,r=e.value;return this.params?t?this.params[t]:this.params[this.index++]:r}}])&&r(t.prototype,n),e}();t.default=n,e.exports=t.default},3202:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(7969)),o=a(r(8472)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,r;return t=e,r=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,n.default)(e))return!1;var r=e.map(o.default).join("|");return new RegExp("^((?:".concat(r,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,r=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),r.push(t);return r}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,r=e.regex,n=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:r,type:i.default.PLACEHOLDER});return o&&(o.key=n(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,r=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+r),"gu"),r)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,r=e.type,n=e.regex,o=t.match(n);if(o)return{type:r,value:o[1]}}}],r&&s(t.prototype,r),e}();t.default=l,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],E=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:E,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},9445:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],u=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],E=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:E,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},7881:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(9157)),o=a(r(3202)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,u=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],c=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],E=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],p=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},f=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:u,reservedTopLevelWords:c,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:E,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new n.default(this.cfg,l,p).format(e)}}])&&s(t.prototype,r),e}();t.default=f,e.exports=t.default},1432:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],E=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:E,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},7409:(e,t,r)=>{"use strict";t.Ay=void 0;var n=s(r(4377)),o=s(r(9445)),i=s(r(7881)),a=s(r(1432));function s(e){return e&&e.__esModule?e:{default:e}}var l={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new n.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=l},9953:(e,t,r)=>{"use strict";r.d(t,{C:()=>o});var n=r(8531);const o=()=>!!n.config.featureToggles.sqlDatasourceDatabaseSelection},136:(e,t,r)=>{"use strict";r.d(t,{T:()=>s});var n=r(6013),o=r(9453),i=r(3277);function a(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function s(e){let t=(null==e?void 0:e.editorMode)||n.lX.Builder;var r;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=n.lX.Code);const s=(l=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){a(e,t,r[t])}))}return e}({},e),u=null!=(u={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:o.gv.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(r=null==e?void 0:e.sql)&&void 0!==r?r:{columns:[(0,i.JD)()],groupBy:[(0,i.xG)()],limit:50}})?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(l,Object.getOwnPropertyDescriptors(u)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(u)).forEach((function(e){Object.defineProperty(l,e,Object.getOwnPropertyDescriptor(u,e))})),l);var l,u;return s}},6703:(e,t,r)=>{"use strict";var n,o;r.d(t,{D:()=>n,_:()=>o}),function(e){e.String="string"}(n||(n={})),function(e){e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter"}(o||(o={}))},9453:(e,t,r)=>{"use strict";r.d(t,{cO:()=>i,gv:()=>n,zL:()=>a});var n,o=r(7781);!function(e){e.Timeseries="time_series",e.Table="table"}(n||(n={}));const i=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],a=null!==o.toOption&&void 0!==o.toOption?o.toOption:e=>({label:e,value:e})},3031:(e,t,r)=>{"use strict";r.d(t,{s:()=>o});var n=r(7409);function o(e){return n.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}},3277:(e,t,r)=>{"use strict";r.d(t,{JD:()=>u,Kj:()=>l,YW:()=>a,oF:()=>i,oG:()=>c,xG:()=>s});var n=r(7781),o=r(6703);function i(e){return`SELECT ${e.map((e=>{let t="";var r;if(e.name&&e.alias)t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var n;t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t})).join(", ")} `}const a=e=>{if(!e)return!1;const t=e.some((e=>{var t,r;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(r=e.parameters)||void 0===r?void 0:r.some((e=>e.name)))})),r=e.some((e=>e.name));return t||r};function s(e){return{type:o._.GroupBy,property:{type:o.D.String,name:e}}}function l(e){return{type:o._.Property,property:{type:o.D.String,name:e}}}function u(e){return{type:o._.Function,name:e,parameters:[]}}function c(e){return(null==e?void 0:e.name)?(0,n.toOption)(e.name):null}},6089:e=>{"use strict";e.exports=r},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=i},2007:e=>{"use strict";e.exports=n},3241:e=>{"use strict";e.exports=a},2468:e=>{"use strict";e.exports=u},5959:e=>{"use strict";e.exports=t},200:e=>{"use strict";e.exports=l},7694:e=>{"use strict";e.exports=s},1269:e=>{"use strict";e.exports=o}},p={};function f(e){var t=p[e];if(void 0!==t)return t.exports;var r=p[e]={id:e,loaded:!1,exports:{}};return d[e].call(r.exports,r,r.exports,f),r.loaded=!0,r.exports}f.m=d,f.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return f.d(t,{a:t}),t},f.d=(e,t)=>{for(var r in t)f.o(t,r)&&!f.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},f.f={},f.e=e=>Promise.all(Object.keys(f.f).reduce(((t,r)=>(f.f[r](e,t),t)),[])),f.u=e=>(168===e?"sql-query-editor":e)+".js",f.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),f.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),c={},E="grafana-postgresql-datasource:",f.l=(e,t,r,n)=>{if(c[e])c[e].push(t);else{var o,i;if(void 0!==r)for(var a=document.getElementsByTagName("script"),s=0;s<a.length;s++){var l=a[s];if(l.getAttribute("src")==e||l.getAttribute("data-webpack")==E+r){o=l;break}}o||(i=!0,(o=document.createElement("script")).charset="utf-8",o.timeout=120,f.nc&&o.setAttribute("nonce",f.nc),o.setAttribute("data-webpack",E+r),o.src=e),c[e]=[t];var u=(t,r)=>{o.onerror=o.onload=null,clearTimeout(d);var n=c[e];if(delete c[e],o.parentNode&&o.parentNode.removeChild(o),n&&n.forEach((e=>e(r))),t)return t(r)},d=setTimeout(u.bind(null,void 0,{type:"timeout",target:o}),12e4);o.onerror=u.bind(null,o.onerror),o.onload=u.bind(null,o.onload),i&&document.head.appendChild(o)}},f.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},f.nmd=e=>(e.paths=[],e.children||(e.children=[]),e),f.p="public/plugins/grafana-postgresql-datasource/",(()=>{var e={231:0};f.f.j=(t,r)=>{var n=f.o(e,t)?e[t]:void 0;if(0!==n)if(n)r.push(n[2]);else{var o=new Promise(((r,o)=>n=e[t]=[r,o]));r.push(n[2]=o);var i=f.p+f.u(t),a=new Error;f.l(i,(r=>{if(f.o(e,t)&&(0!==(n=e[t])&&(e[t]=void 0),n)){var o=r&&("load"===r.type?"missing":r.type),i=r&&r.target&&r.target.src;a.message="Loading chunk "+t+" failed.\n("+o+": "+i+")",a.name="ChunkLoadError",a.type=o,a.request=i,n[1](a)}}),"chunk-"+t,t)}};var t=(t,r)=>{var n,o,[i,a,s]=r,l=0;if(i.some((t=>0!==e[t]))){for(n in a)f.o(a,n)&&(f.m[n]=a[n]);s&&s(f)}for(t&&t(r);l<i.length;l++)o=i[l],f.o(e,o)&&e[o]&&e[o][0](),e[o]=0},r=globalThis.webpackChunkgrafana_postgresql_datasource=globalThis.webpackChunkgrafana_postgresql_datasource||[];r.forEach(t.bind(null,0)),r.push=t.bind(null,r.push.bind(r))})();var T={};return(()=>{"use strict";f.r(T),f.d(T,{plugin:()=>yr});var e=f(7781),t=f(9728),r=f(6089),n=f(2007);function o(e){return{ulPadding:(0,r.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}var i=f(9453);const a=[{name:"AVG"},{name:"COUNT"},{name:"MAX"},{name:"MIN"},{name:"SUM"}],s={name:"Interval",required:!0,options:()=>Promise.resolve([{label:"$__interval",value:"$__interval"}])},l={name:"Fill",required:!1,options:()=>Promise.resolve([{label:"0",value:"0"},{label:"NULL",value:"NULL"},{label:"previous",value:"previous"}])},u=e=>[{name:"$__timeGroup",description:"Time grouping function",parameters:[e,s,l]},{name:"$__timeGroupAlias",description:"Time grouping function with time as alias",parameters:[e,s,l]},{name:"$__time",description:"An expression to rename the column to time",parameters:[e]},{name:"$__timeEpoch",parameters:[e]},{name:"$__unixEpochGroup",parameters:[e,s,l]},{name:"$__unixEpochGroupAlias",parameters:[e,s,l]}],c=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];var E=f(1269);function d(e){return"function"==typeof e}var p=function(e,t){return p=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},p(e,t)};function h(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}p(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}function O(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function R(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}function S(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}Object.create,Object.create,"function"==typeof SuppressedError&&SuppressedError;var m,N=((m=function(e){var t;t=this,Error.call(t),t.stack=(new Error).stack,this.message=e?e.length+" errors occurred during unsubscription:\n"+e.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=e}).prototype=Object.create(Error.prototype),m.prototype.constructor=m,m);function v(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var A=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=O(i),s=a.next();!s.done;s=a.next())s.value.remove(this)}catch(t){e={error:t}}finally{try{s&&!s.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var l=this.initialTeardown;if(d(l))try{l()}catch(e){o=e instanceof N?e.errors:[e]}var u=this._finalizers;if(u){this._finalizers=null;try{for(var c=O(u),E=c.next();!E.done;E=c.next()){var p=E.value;try{I(p)}catch(e){o=null!=o?o:[],e instanceof N?o=S(S([],R(o)),R(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{E&&!E.done&&(n=c.return)&&n.call(c)}finally{if(r)throw r.error}}}if(o)throw new N(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)I(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(r=this._finalizers)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&v(t,e)},e.prototype.remove=function(t){var r=this._finalizers;r&&v(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function I(e){d(e)?e():e.unsubscribe()}A.EMPTY;var y=null,g=null,b=!1,L=!1,C={setTimeout:function(e,t){for(var r=[],n=2;n<arguments.length;n++)r[n-2]=arguments[n];var o=C.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,S([e,t],R(r))):setTimeout.apply(void 0,S([e,t],R(r)))},clearTimeout:function(e){var t=C.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function P(){}var _=D("C",void 0,void 0);function D(e,t,r){return{kind:e,value:t,error:r}}var x=function(e){function t(t){var r,n=e.call(this)||this;return n.isStopped=!1,t?(n.destination=t,((r=t)instanceof A||r&&"closed"in r&&d(r.remove)&&d(r.add)&&d(r.unsubscribe))&&t.add(n)):n.destination=B,n}return h(t,e),t.create=function(e,t,r){return new U(e,t,r)},t.prototype.next=function(e){this.isStopped?G(function(e){return D("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?G(D("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?G(_,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(A),j=Function.prototype.bind;function M(e,t){return j.call(e,t)}var w=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){F(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){F(e)}else F(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){F(e)}},e}(),U=function(e){function t(t,r,n){var o,i,a=e.call(this)||this;return d(t)||!t?o={next:null!=t?t:void 0,error:null!=r?r:void 0,complete:null!=n?n:void 0}:a&&L?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&M(t.next,i),error:t.error&&M(t.error,i),complete:t.complete&&M(t.complete,i)}):o=t,a.destination=new w(o),a}return h(t,e),t}(x);function F(e){b||function(e){C.setTimeout((function(){if(!y)throw e;y(e)}))}(e)}function G(e,t){var r=g;r&&C.setTimeout((function(){return r(e,t)}))}var B={closed:!0,next:P,error:function(e){throw e},complete:P},k=function(e){function t(t,r,n,o,i,a){var s=e.call(this,t)||this;return s.onFinalize=i,s.shouldUnsubscribe=a,s._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,s._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,s._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,s}return h(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(x);function W(e,t){return r=function(r,n){var o=0;r.subscribe(new k(n,(function(r){n.next(e.call(t,r,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return d(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return r(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var r}var V=f(6013),H=f(8531),Y=f(3241);class q{transformMetricFindResponse(e){const t=[],r=e.fields.find((e=>"__text"===e.name)),n=e.fields.find((e=>"__value"===e.name));if(r&&n)for(let e=0;e<r.values.length;e++)t.push({text:""+r.values[e],value:""+n.values[e]});else for(const r of e.fields)for(const e of r.values)t.push({text:e});return(0,Y.uniqBy)(t,"text")}}var K=f(5959),X=f.n(K);function $(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Q(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){$(e,t,r[t])}))}return e}const J=(0,K.lazy)((()=>Promise.all([f.e(734),f.e(168)]).then(f.bind(f,1071))));function z(e){const r=(0,n.useStyles2)(Z);return(0,t.jsx)(K.Suspense,{fallback:(0,t.jsx)(n.LoadingPlaceholder,{text:"Loading editor",className:r.container}),children:(0,t.jsx)(J,Q({},e))})}const Z=e=>({container:(0,r.css)({marginBottom:"unset",marginLeft:e.spacing(1)})});var ee=f(136);function te(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function re(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){te(e,t,r[t])}))}return e}function ne(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function oe(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var r;const n=(0,ee.T)(ne(re({refId:"Annotation"},null!==(r=e.target)&&void 0!==r?r:{}),{rawSql:t}));return ne(re({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:n})}var ie=f(9953);function ae(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function se(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){ae(i,n,o,a,s,"next",e)}function s(e){ae(i,n,o,a,s,"throw",e)}a(void 0)}))}}function le(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function ue(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){le(e,t,r[t])}))}return e}function ce(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class Ee extends H.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let r=e;return e&&e.length>0&&(r=e.map((e=>ce(ue({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),r}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(t){if((0,ie.C)()){const e=this.checkForDatabaseIssue(t);if(e){const t=new Error(e);return(0,E.throwError)((()=>t))}}return t.targets.forEach((r=>{var n;t.app!==e.CoreApp.Dashboard&&t.app!==e.CoreApp.PanelViewer&&(0,H.reportInteraction)("grafana_sql_query_executed",{datasource:null===(n=r.datasource)||void 0===n?void 0:n.type,editorMode:r.editorMode,format:r.format,app:t.app})})),super.query(t)}checkForDatabaseIssue(t){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(t.app!==e.CoreApp.Explore&&this.preconfiguredDatabase)for(const e of t.targets)if(e.editorMode===V.lX.Builder&&e.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(t,r){var n=this;return se((function*(){const o=null==r?void 0:r.range;if(null==o)return[];let a="tempvar";r&&r.variable&&r.variable.name&&(a=r.variable.name);const s=ue({},null==r?void 0:r.scopedVars,(0,e.getSearchFilterScopedVar)({query:t,wildcardChar:"%",options:r})),l=n.templateSrv.replace(t,s,n.interpolateVariable),u={refId:a,datasource:n.getRef(),rawSql:l,format:i.gv.Table};let c;try{c=yield n.runMetaQuery(u,o)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return n.getResponseParser().transformMetricFindResponse(c)}))()}runSql(t,r){var n=this;return se((function*(){const o=(0,e.getDefaultTimeRange)(),a=yield n.runMetaQuery({rawSql:t,format:i.gv.Table,refId:null==r?void 0:r.refId},o);return new e.DataFrameView(a)}))()}runMetaQuery(e,t){const r=e.refId||"meta",n=[ce(ue({},e),{datasource:e.datasource||this.getRef(),refId:r})];return(0,E.lastValueFrom)((0,H.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:n},requestId:r}).pipe(W((e=>{var t;return null!==(t=(0,H.toDataQueryResponse)(e,n).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return c.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,H.getTemplateSrv)()){super(e),le(this,"templateSrv",void 0),le(this,"id",void 0),le(this,"responseParser",void 0),le(this,"name",void 0),le(this,"interval",void 0),le(this,"db",void 0),le(this,"preconfiguredDatabase",void 0),le(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new q,this.id=e.id;const r=e.jsonData||{};var n;this.interval=r.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(n=r.database)&&void 0!==n?n:"",this.annotations={prepareAnnotation:oe,QueryEditor:z}}}var de=f(3031),pe=Object.defineProperty,fe=Object.defineProperties,Te=Object.getOwnPropertyDescriptors,he=Object.getOwnPropertySymbols,Oe=Object.prototype.hasOwnProperty,Re=Object.prototype.propertyIsEnumerable,Se=(e,t,r)=>t in e?pe(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,me=(e,t)=>{for(var r in t||(t={}))Oe.call(t,r)&&Se(e,r,t[r]);if(he)for(var r of he(t))Re.call(t,r)&&Se(e,r,t[r]);return e};const Ne=({children:e,title:t,description:o,isCollapsible:i=!1,isInitiallyOpen:a=!0,kind:s="section",className:l})=>{const{colors:u,typography:c,spacing:E}=(0,n.useTheme2)(),[d,p]=(0,K.useState)(!i||a),f=d?"angle-up":"angle-down",T="sub-section"===s,h=`${d?"Collapse":"Expand"} section ${t}`,O={header:(0,r.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,r.css)({margin:0}),subtitle:(0,r.css)({margin:0,fontWeight:c.fontWeightRegular}),descriptionText:(0,r.css)((R=me({marginTop:E(T?.25:.5),marginBottom:0},c.bodySmall),S={color:u.text.secondary},fe(R,Te(S)))),content:(0,r.css)({marginTop:E(2)})};var R,S;return X().createElement("div",{className:l},X().createElement("div",{className:O.header},"section"===s?X().createElement("h3",{className:O.title},t):X().createElement("h6",{className:O.subtitle},t),i&&X().createElement(n.IconButton,{name:f,onClick:()=>p(!d),type:"button",size:"xl","aria-label":h})),o&&X().createElement("p",{className:O.descriptionText},o),d&&X().createElement("div",{className:O.content},e))};var ve=Object.defineProperty,Ae=Object.defineProperties,Ie=Object.getOwnPropertyDescriptors,ye=Object.getOwnPropertySymbols,ge=Object.prototype.hasOwnProperty,be=Object.prototype.propertyIsEnumerable,Le=(e,t,r)=>t in e?ve(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const Ce=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)ge.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&ye)for(var n of ye(e))t.indexOf(n)<0&&be.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return X().createElement(Ne,(t=((e,t)=>{for(var r in t||(t={}))ge.call(t,r)&&Le(e,r,t[r]);if(ye)for(var r of ye(t))be.call(t,r)&&Le(e,r,t[r]);return e})({},o),Ae(t,Ie({kind:"sub-section"}))),n)};var Pe=f(9571);function _e({value:e,defaultValue:r,onChange:o,width:i}){const[a,s]=(0,K.useState)(!1);return(0,t.jsx)(n.Input,{type:"number",placeholder:String(r),value:a?"":e,onChange:e=>{var t;if(""===(null===(t=e.currentTarget.value)||void 0===t?void 0:t.trim()))s(!0),o(r);else{s(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||o(t)}},width:i})}function De(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function xe(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){De(e,t,r[t])}))}return e}const je=e=>{const{onOptionsChange:r,options:o}=e,i=o.jsonData,a=void 0!==i.maxIdleConnsAuto&&i.maxIdleConnsAuto,s=e=>{const t=(n=xe({},o),a=null!=(a={jsonData:xe({},i,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(a,e))})),n);var n,a;return r(t)},l=e=>t=>{s({[e]:t})};return(0,t.jsxs)(Ce,{title:"Connection limits",children:[(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Max open"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["The maximum number of open connections to the database. If ",(0,t.jsx)("i",{children:"Max idle connections"})," is greater than 0 and the ",(0,t.jsx)("i",{children:"Max open connections"})," is less than ",(0,t.jsx)("i",{children:"Max idle connections"}),", then",(0,t.jsx)("i",{children:"Max idle connections"})," will be reduced to match the ",(0,t.jsx)("i",{children:"Max open connections"})," limit. If set to 0, there is no limit on the number of open connections."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(_e,{value:i.maxOpenConns,defaultValue:H.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,s(a&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Auto max idle"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["If enabled, automatically set the number of ",(0,t.jsx)("i",{children:"Maximum idle connections"})," to the same value as",(0,t.jsx)("i",{children:" Max open connections"}),". If the number of maximum open connections is not set it will be set to the default (",H.config.sqlConnectionLimits.maxIdleConns,")."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Switch,{value:a,onChange:()=>{let e,t;a?(t=i.maxOpenConns,e=i.maxIdleConns):void 0!==i.maxOpenConns&&(t=i.maxOpenConns,e=i.maxOpenConns),s({maxIdleConnsAuto:!a,maxIdleConns:e,maxOpenConns:t})}})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Max idle"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["The maximum number of connections in the idle connection pool.If ",(0,t.jsx)("i",{children:"Max open connections"})," is greater than 0 but less than the ",(0,t.jsx)("i",{children:"Max idle connections"}),", then the ",(0,t.jsx)("i",{children:"Max idle connections"})," ","will be reduced to match the ",(0,t.jsx)("i",{children:"Max open connections"})," limit. If set to 0, no idle connections are retained."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:a?(0,t.jsx)(n.InlineLabel,{width:40,children:o.jsonData.maxIdleConns}):(0,t.jsx)(_e,{value:i.maxIdleConns,defaultValue:H.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{l("maxIdleConns")(e)},width:40})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Max lifetime"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(_e,{value:i.connMaxLifetime,defaultValue:H.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{l("connMaxLifetime")(e)},width:40})})]})},Me=()=>{const e=(0,n.useStyles2)(we);return(0,t.jsx)("hr",{className:e.horizontalDivider})},we=e=>({horizontalDivider:(0,r.css)({borderTop:`1px solid ${e.colors.border.weak}`,margin:e.spacing(2,0),width:"100%"})}),Ue=r=>{const{editorProps:o,showCACert:i,showKeyPair:a=!0}=r,{secureJsonFields:s}=o.options;return(0,t.jsxs)(t.Fragment,{children:[a?(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(n.Stack,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Client Certificate"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"To authenticate with an TLS/SSL client certificate, provide the client certificate here."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:s&&s.tlsClientCert,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(o,"tlsClientCert"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(o,"tlsClientCert")}})}):null,i?(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(n.Stack,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Root Certificate"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"If the selected TLS/SSL mode requires a server root certificate, provide it here."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:s&&s.tlsCACert,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(o,"tlsCACert"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(o,"tlsCACert")}})}):null,a?(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(n.Stack,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Client Key"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"To authenticate with a client TLS/SSL certificate, provide the key here."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.SecretTextArea,{placeholder:"-----BEGIN RSA PRIVATE KEY-----",cols:45,rows:7,isConfigured:s&&s.tlsClientKey,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(o,"tlsClientKey"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(o,"tlsClientKey")}})}):null]})},Fe=(0,H.createMonitoringLogger)("features.plugins.sql");function Ge(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Be(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ge(e,t,r[t])}))}return e}function ke(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}var We=f(3277);function Ve(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}f(6703);const He={dialect:"postgres"};var Ye=Object.defineProperty,qe=Object.defineProperties,Ke=Object.getOwnPropertyDescriptors,Xe=Object.getOwnPropertySymbols,$e=Object.prototype.hasOwnProperty,Qe=Object.prototype.propertyIsEnumerable,Je=(e,t,r)=>t in e?Ye(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,ze=(e,t)=>{for(var r in t||(t={}))$e.call(t,r)&&Je(e,r,t[r]);if(Xe)for(var r of Xe(t))Qe.call(t,r)&&Je(e,r,t[r]);return e};const Ze=({dataSourceName:e,docsLink:t,hasRequiredFields:o=!0,className:i})=>{const a=(0,n.useTheme2)(),s={container:(0,r.css)({p:{margin:0},"p + p":{marginTop:a.spacing(2)}}),text:(0,r.css)((l=ze({},a.typography.body),u={color:a.colors.text.secondary,a:(0,r.css)({color:a.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})},qe(l,Ke(u))))};var l,u;return X().createElement("div",{className:(0,r.cx)(s.container,i)},X().createElement("p",{className:s.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",X().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),o&&X().createElement("p",{className:s.text},X().createElement("i",null,"Fields marked with * are required")))};var et=Object.defineProperty,tt=Object.defineProperties,rt=Object.getOwnPropertyDescriptors,nt=Object.getOwnPropertySymbols,ot=Object.prototype.hasOwnProperty,it=Object.prototype.propertyIsEnumerable,at=(e,t,r)=>t in e?et(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const st=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)ot.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&nt)for(var n of nt(e))t.indexOf(n)<0&&it.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return X().createElement(Ne,(t=((e,t)=>{for(var r in t||(t={}))ot.call(t,r)&&at(e,r,t[r]);if(nt)for(var r of nt(t))it.call(t,r)&&at(e,r,t[r]);return e})({},o),tt(t,rt({kind:"section"}))),n)};var lt,ut;!function(e){e.disable="disable",e.require="require",e.verifyCA="verify-ca",e.verifyFull="verify-full"}(lt||(lt={})),function(e){e.filePath="file-path",e.fileContent="file-content"}(ut||(ut={}));var ct=f(1510);const Et=f.n(ct)(),dt=function(e,t){!function(e,t,r){var n=(0,K.useRef)(void 0);n.current&&r(t,n.current)||(n.current=t),(0,K.useEffect)(e,n.current)}(e,t,Et)},pt={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let ft;const Tt=new Uint8Array(16);function ht(){if(!ft&&(ft="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!ft))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return ft(Tt)}const Ot=[];for(let e=0;e<256;++e)Ot.push((e+256).toString(16).slice(1));const Rt=function(e,t,r){if(pt.randomUUID&&!t&&!e)return pt.randomUUID();const n=(e=e||{}).random||(e.rng||ht)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t){r=r||0;for(let e=0;e<16;++e)t[r+e]=n[e];return t}return function(e,t=0){return Ot[e[t+0]]+Ot[e[t+1]]+Ot[e[t+2]]+Ot[e[t+3]]+"-"+Ot[e[t+4]]+Ot[e[t+5]]+"-"+Ot[e[t+6]]+Ot[e[t+7]]+"-"+Ot[e[t+8]]+Ot[e[t+9]]+"-"+Ot[e[t+10]]+Ot[e[t+11]]+Ot[e[t+12]]+Ot[e[t+13]]+Ot[e[t+14]]+Ot[e[t+15]]}(n)};var St,mt,Nt,vt,At,It,yt,gt,bt,Lt,Ct,Pt,_t,Dt,xt,jt,Mt,wt,Ut,Ft,Gt,Bt,kt,Wt,Vt,Ht,Yt,qt,Kt,Xt,$t,Qt,Jt,zt,Zt,er,tr,rr,nr,or,ir;function ar(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}!function(e){e.AlertStates="alertStates",e.Annotations="annotations",e.Series="series"}(St||(St={})),function(e){e.Linear="linear",e.Quad="quad"}(mt||(mt={})),function(e){e.Clamped="clamped",e.Mod="mod"}(Nt||(Nt={})),function(e){e.Field="field",e.Fixed="fixed",e.Template="template"}(vt||(vt={})),function(e){e.Field="field",e.Fixed="fixed",e.Mapping="mapping"}(At||(At={})),function(e){e.Auto="auto",e.Coords="coords",e.Geohash="geohash",e.Lookup="lookup"}(It||(It={})),function(e){e.Count="count",e.Size="size"}(yt||(yt={})),function(e){e.auto="auto",e.ge="ge",e.le="le",e.unknown="unknown"}(gt||(gt={})),function(e){e.Ascending="Ascending",e.Descending="Descending"}(bt||(bt={})),function(e){e.Auto="auto",e.Bottom="bottom",e.Hidden="hidden",e.Left="left",e.Right="right",e.Top="top"}(Lt||(Lt={})),function(e){e.Series="series",e.Text="text"}(Ct||(Ct={})),function(e){e.Always="always",e.Auto="auto",e.Never="never"}(Pt||(Pt={})),function(e){e.Bars="bars",e.Line="line",e.Points="points"}(_t||(_t={})),function(e){e.Constant="constant",e.NegativeY="negative-Y"}(Dt||(Dt={})),function(e){e.Linear="linear",e.Smooth="smooth",e.StepAfter="stepAfter",e.StepBefore="stepBefore"}(xt||(xt={})),function(e){e.Linear="linear",e.Log="log",e.Ordinal="ordinal",e.Symlog="symlog"}(jt||(jt={})),function(e){e.Hue="hue",e.None="none",e.Opacity="opacity",e.Scheme="scheme"}(Mt||(Mt={})),function(e){e.None="none",e.Normal="normal",e.Percent="percent"}(wt||(wt={})),function(e){e[e.After=1]="After",e[e.Before=-1]="Before",e[e.Center=0]="Center"}(Ut||(Ut={})),function(e){e[e.Horizontal=0]="Horizontal",e[e.Vertical=1]="Vertical"}(Ft||(Ft={})),function(e){e[e.Down=-1]="Down",e[e.Left=-1]="Left",e[e.Right=1]="Right",e[e.Up=1]="Up"}(Gt||(Gt={})),function(e){e.Area="area",e.Dashed="dashed",e.DashedAndArea="dashed+area",e.Line="line",e.LineAndArea="line+area",e.Off="off",e.Series="series"}(Bt||(Bt={})),function(e){e.Hidden="hidden",e.List="list",e.Table="table"}(kt||(kt={})),function(e){e.Auto="auto",e.Horizontal="horizontal",e.Vertical="vertical"}(Wt||(Wt={})),function(e){e.Background="background",e.BackgroundSolid="background_solid",e.None="none",e.Value="value"}(Vt||(Vt={})),function(e){e.Area="area",e.Line="line",e.None="none"}(Ht||(Ht={})),function(e){e.Auto="auto",e.Center="center"}(Yt||(Yt={})),function(e){e.Auto="auto",e.Name="name",e.None="none",e.Value="value",e.ValueAndName="value_and_name"}(qt||(qt={})),function(e){e.Inverted="inverted",e.SameAsValue="same_as_value",e.Standard="standard"}(Kt||(Kt={})),function(e){e.Multi="multi",e.None="none",e.Single="single"}(Xt||(Xt={})),function(e){e.Ascending="asc",e.Descending="desc",e.None="none"}($t||($t={})),function(e){e.Basic="basic",e.Gradient="gradient",e.Lcd="lcd"}(Qt||(Qt={})),function(e){e.Color="color",e.Hidden="hidden",e.Text="text"}(Jt||(Jt={})),function(e){e.Auto="auto",e.Hidden="hidden",e.Left="left",e.Top="top"}(zt||(zt={})),function(e){e.Auto="auto",e.Manual="manual"}(Zt||(Zt={})),function(e){e.Actions="actions",e.Auto="auto",e.BasicGauge="basic",e.ColorBackground="color-background",e.ColorBackgroundSolid="color-background-solid",e.ColorText="color-text",e.Custom="custom",e.DataLinks="data-links",e.Gauge="gauge",e.GradientGauge="gradient-gauge",e.Image="image",e.JSONView="json-view",e.LcdGauge="lcd-gauge",e.Sparkline="sparkline"}(er||(er={})),function(e){e.Basic="basic",e.Gradient="gradient"}(tr||(tr={})),function(e){e.Auto="auto",e.Lg="lg",e.Md="md",e.Sm="sm"}(rr||(rr={})),function(e){e.CSV="csv",e.Date="date",e.Distributed="distributed",e.DoubleQuote="doublequote",e.Glob="glob",e.HTML="html",e.JSON="json",e.Lucene="lucene",e.PercentEncode="percentencode",e.Pipe="pipe",e.QueryParam="queryparam",e.Raw="raw",e.Regex="regex",e.SQLString="sqlstring",e.SingleQuote="singlequote",e.Text="text",e.UriEncode="uriencode"}(nr||(nr={})),function(e){e.exact="exact",e.none="none",e.numbers="numbers",e.signature="signature"}(or||(or={})),function(e){e.EQ="eq",e.GT="gt",e.GTE="gte",e.LT="lt",e.LTE="lte",e.NEQ="neq"}(ir||(ir={}));class sr{interpolate(){var e;return(null===(e=this.templateSrv)||void 0===e?void 0:e.replace(this.target.rawSql,this.scopedVars,nr.SQLString))||""}quoteLiteral(e){return"'"+e.replace(/'/g,"''")+"'"}constructor(e,t,r){ar(this,"target",void 0),ar(this,"templateSrv",void 0),ar(this,"scopedVars",void 0),this.target=(0,ee.T)(e||{refId:"A"}),this.templateSrv=t,this.scopedVars=r}}var lr=f(7317);function ur(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function cr(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){ur(i,n,o,a,s,"next",e)}function s(e){ur(i,n,o,a,s,"throw",e)}a(void 0)}))}}function Er(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const dr=({getColumns:e,getTables:t})=>(r,n)=>{return o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Er(e,t,r[t])}))}return e}({},n&&(0,lr.N)(r,n)),i=null!=(i={tables:{resolve:cr((function*(){return yield t.current()})),parseName:e=>{if(!e)return{table:""};let t=e,r=t.value;for(;t.next&&t.next.type!==V.ks.Whitespace;)r+=t.next.value,t=t.next;return{table:r}}},columns:{resolve:(a=cr((function*(t){return yield e.current({table:null==t?void 0:t.table,refId:"A"})})),function(e){return a.apply(this,arguments)})}})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o;var o,i,a};function pr(){return(pr=cr((function*(e,t){const r=yield e.fields(t);return r.length>0?r.map((e=>({name:e.value,type:e.value,description:e.value}))):[]}))).apply(this,arguments)}function fr(){return(fr=cr((function*(e){var t;return(yield null===(t=e.lookup)||void 0===t?void 0:t.call(e))||[]}))).apply(this,arguments)}function Tr(e){switch(e){case"boolean":return{raqbFieldType:"boolean",icon:"toggle-off"};case"bit":case"bit varying":case"character":case"character varying":case"text":default:return{raqbFieldType:"text",icon:"text"};case"smallint":case"integer":case"bigint":case"decimal":case"numeric":case"real":case"double precision":case"serial":case"bigserial":case"smallserial":return{raqbFieldType:"number",icon:"calculator-alt"};case"date":return{raqbFieldType:"date",icon:"clock-nine"};case"time":case"time with time zone":case"time without time zone":case"interval":return{raqbFieldType:"time",icon:"clock-nine"};case"timestamp":case"timestamp with time zone":case"timestamp without time zone":return{raqbFieldType:"datetime",icon:"clock-nine"}}}function hr({sql:e,table:t}){var r,n,o,i;let a="";return e&&(0,We.YW)(e.columns)?(a+=(0,We.oF)(e.columns),t&&(a+=`FROM ${t} `),e.whereString&&(a+=`WHERE ${e.whereString} `),(null===(n=e.groupBy)||void 0===n||null===(r=n[0])||void 0===r?void 0:r.property.name)&&(a+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,Y.isEmpty)(e))).join(", ")} `),(null===(o=e.orderBy)||void 0===o?void 0:o.property.name)&&(a+=`ORDER BY ${e.orderBy.property.name} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&e.orderByDirection&&(a+=`${e.orderByDirection} `),void 0!==e.limit&&e.limit>=0&&(a+=`LIMIT ${e.limit} `),a):a}function Or(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function Rr(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Or(i,n,o,a,s,"next",e)}function s(e){Or(i,n,o,a,s,"throw",e)}a(void 0)}))}}function Sr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function mr(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Sr(e,t,r[t])}))}return e}class Nr extends Ee{getQueryModel(e,t,r){return new sr(e,t,r)}getVersion(){var e=this;return Rr((function*(){var t;const r=null===(t=(yield e.runSql("SELECT current_setting('server_version_num')::int/100 as version")).fields.version)||void 0===t?void 0:t.values;return r?r[0].toString():""}))()}getTimescaleDBVersion(){var e=this;return Rr((function*(){var t;const r=null===(t=(yield e.runSql("SELECT extversion FROM pg_extension WHERE extname = 'timescaledb'")).fields.extversion)||void 0===t?void 0:t.values;if(r)return r[0]}))()}fetchTables(){var e=this;return Rr((function*(){var t,r;return null!==(r=null===(t=(yield e.runSql("SELECT\n    CASE WHEN \n          quote_ident(table_schema) IN (\n          SELECT\n            CASE WHEN trim(s[i]) = '\"$user\"' THEN user ELSE trim(s[i]) END\n          FROM\n            generate_series(\n              array_lower(string_to_array(current_setting('search_path'),','),1),\n              array_upper(string_to_array(current_setting('search_path'),','),1)\n            ) as i,\n            string_to_array(current_setting('search_path'),',') s\n          )\n      THEN quote_ident(table_name)\n      ELSE quote_ident(table_schema) || '.' || quote_ident(table_name)\n    END AS \"table\"\n    FROM information_schema.tables\n    WHERE quote_ident(table_schema) NOT IN ('information_schema',\n                             'pg_catalog',\n                             '_timescaledb_cache',\n                             '_timescaledb_catalog',\n                             '_timescaledb_internal',\n                             '_timescaledb_config',\n                             'timescaledb_information',\n                             'timescaledb_experimental')\n    ORDER BY CASE WHEN \n          quote_ident(table_schema) IN (\n          SELECT\n            CASE WHEN trim(s[i]) = '\"$user\"' THEN user ELSE trim(s[i]) END\n          FROM\n            generate_series(\n              array_lower(string_to_array(current_setting('search_path'),','),1),\n              array_upper(string_to_array(current_setting('search_path'),','),1)\n            ) as i,\n            string_to_array(current_setting('search_path'),',') s\n          ) THEN 0 ELSE 1 END, 1",{refId:"tables"})).fields.table)||void 0===t?void 0:t.values.flat())&&void 0!==r?r:[]}))()}getSqlLanguageDefinition(e){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const t={getColumns:{current:t=>function(e,t){return pr.apply(this,arguments)}(e,t)},getTables:{current:()=>function(e){return fr.apply(this,arguments)}(e)}};return this.sqlLanguageDefinition={id:"pgsql",completionProvider:dr(t),formatter:de.s},this.sqlLanguageDefinition}fetchFields(e){var t=this;return Rr((function*(){const{table:r}=e;if(void 0===r)return[];const n=yield t.runSql(function(e){const t="'"+e.replace(/'/g,"''")+"'";return`SELECT quote_ident(column_name) AS "column", data_type AS "type"\n    FROM information_schema.columns\n    WHERE\n      CASE WHEN array_length(parse_ident(${t}),1) = 2\n        THEN quote_ident(table_schema) = (parse_ident(${t}))[1]\n          AND quote_ident(table_name) = (parse_ident(${t}))[2]\n        ELSE quote_ident(table_name) = ${t}\n          AND \n          quote_ident(table_schema) IN (\n          SELECT\n            CASE WHEN trim(s[i]) = '"$user"' THEN user ELSE trim(s[i]) END\n          FROM\n            generate_series(\n              array_lower(string_to_array(current_setting('search_path'),','),1),\n              array_upper(string_to_array(current_setting('search_path'),','),1)\n            ) as i,\n            string_to_array(current_setting('search_path'),',') s\n          )\n      END`}(r),{refId:`columns-${Rt()}`}),o=[];for(let e=0;e<n.length;e++){const t=n.fields.column.values[e],r=n.fields.type.values[e];o.push(mr({label:t,value:t,type:r},Tr(r)))}return o}))()}getDB(){if(void 0!==this.db)return this.db;var e,t=this,r=this;return{init:()=>Promise.resolve(!0),datasets:()=>Promise.resolve([]),tables:()=>this.fetchTables(),getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition(this.db),fields:(e=Rr((function*(e){return(null==e?void 0:e.table)?t.fetchFields(e):[]})),function(t){return e.apply(this,arguments)}),validateQuery:e=>Promise.resolve({isError:!1,isValid:!0,query:e,error:"",rawSql:e.rawSql}),dsID:()=>this.id,toRawSql:hr,functions:()=>this.getFunctions(),lookup:Rr((function*(){return(yield r.fetchTables()).map((e=>({name:e,completion:e})))}))}}constructor(e){super(e),Sr(this,"sqlLanguageDefinition",void 0),Sr(this,"getFunctions",(()=>{if(H.config.featureToggles.sqlQuerybuilderFunctionParameters){const e={name:"Column",required:!0,options:e=>this.fetchFields(e)};return[...u(e),...a.map((t=>{return r=mr({},t),n=null!=(n={parameters:[e]})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r;var r,n}))]}return a}))}}function vr(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function Ar(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ir=[{label:"9.0",value:900},{label:"9.1",value:901},{label:"9.2",value:902},{label:"9.3",value:903},{label:"9.4",value:904},{label:"9.5",value:905},{label:"9.6",value:906},{label:"10",value:1e3},{label:"11",value:1100},{label:"12",value:1200},{label:"13",value:1300},{label:"14",value:1400},{label:"15",value:1500}],yr=new e.DataSourcePlugin(Nr).setQueryEditor((function(e){return(0,t.jsx)(z,(r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ve(e,t,r[t])}))}return e}({},e),n=null!=(n={queryHeaderProps:He})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n})).setQueryEditorHelp((function(){const e=(0,n.useStyles2)(o);return(0,t.jsxs)("div",{children:[(0,t.jsx)("h2",{children:"PostgreSQL cheat sheet"}),"Time series:",(0,t.jsxs)("ul",{className:e.ulPadding,children:[(0,t.jsxs)("li",{children:["return column named ",(0,t.jsx)("i",{children:"time"})," (UTC in seconds or timestamp)"]}),(0,t.jsx)("li",{children:"return column(s) with numeric datatype as values"})]}),"Optional:",(0,t.jsxs)("ul",{className:e.ulPadding,children:[(0,t.jsxs)("li",{children:["return column named ",(0,t.jsx)("i",{children:"metric"})," to represent the series name."]}),(0,t.jsx)("li",{children:"If multiple value columns are returned the metric column is used as prefix."}),(0,t.jsx)("li",{children:"If no column named metric is found the column name of the value column is used as series name"})]}),(0,t.jsx)("p",{children:"Resultsets of time series queries need to be sorted by time."}),"Table:",(0,t.jsx)("ul",{className:e.ulPadding,children:(0,t.jsx)("li",{children:"return any set of columns"})}),"Macros:",(0,t.jsxs)("ul",{className:e.ulPadding,children:[(0,t.jsx)("li",{children:'$__time(column) -> column as "time"'}),(0,t.jsx)("li",{children:'$__timeEpoch -> extract(epoch from column) as "time"'}),(0,t.jsx)("li",{children:"$__timeFilter(column) -> column BETWEEN '2017-04-21T05:01:17Z' AND '2017-04-21T05:01:17Z'"}),(0,t.jsx)("li",{children:"$__unixEpochFilter(column) -> column >= 1492750877 AND column <= 1492750877"}),(0,t.jsx)("li",{children:"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"}),(0,t.jsx)("li",{children:"$__timeGroup(column,'5m'[, fillvalue]) -> (extract(epoch from column)/300)::bigint*300 by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"}),(0,t.jsx)("li",{children:"$__timeGroupAlias(column,'5m') -> (extract(epoch from column)/300)::bigint*300 AS \"time\""}),(0,t.jsx)("li",{children:"$__unixEpochGroup(column,'5m') -> floor(column/300)*300"}),(0,t.jsx)("li",{children:"$__unixEpochGroupAlias(column,'5m') -> floor(column/300)*300 AS \"time\""})]}),(0,t.jsx)("p",{children:"Example of group by and order by with $__timeGroup:"}),(0,t.jsx)("pre",{children:(0,t.jsxs)("code",{children:["SELECT $__timeGroup(date_time_col, '1h'), sum(value) as value ",(0,t.jsx)("br",{}),"FROM yourtable",(0,t.jsx)("br",{}),"GROUP BY time",(0,t.jsx)("br",{}),"ORDER BY time",(0,t.jsx)("br",{})]})}),"Or build your own conditionals using these macros which just return the values:",(0,t.jsxs)("ul",{className:e.ulPadding,children:[(0,t.jsx)("li",{children:"$__timeFrom() -> '2017-04-21T05:01:17Z'"}),(0,t.jsx)("li",{children:"$__timeTo() -> '2017-04-21T05:01:17Z'"}),(0,t.jsx)("li",{children:"$__unixEpochFrom() -> 1492750877"}),(0,t.jsx)("li",{children:"$__unixEpochTo() -> 1492750877"}),(0,t.jsx)("li",{children:"$__unixEpochNanoFrom() -> 1494410783152415214"}),(0,t.jsx)("li",{children:"$__unixEpochNanoTo() -> 1494497183142514872"})]})]})})).setConfigEditor((r=>{const[o,i]=(0,K.useState)(Ir),[a,s]=(0,K.useState)(!0);(function({props:t,setVersionOptions:r}){const[n,o]=(0,K.useState)(!1),{options:i,onOptionsChange:a}=t;dt((()=>{const t=(s=function*(){if(n){const t=yield(0,H.getDataSourceSrv)().get(i.name);if(t instanceof Nr){const n=yield t.getVersion(),o=parseInt(n,10);o>=906&&!i.jsonData.timescaledb&&(yield t.getTimescaleDBVersion())&&(0,e.updateDatasourcePluginJsonDataOption)({options:i,onOptionsChange:a},"timescaledb",!0);const s=Math.trunc(o/100),l=o%100;let u=String(s);o<1e3&&(u=String(s)+"."+String(l)),Ir.find((e=>e.value===o))||r((e=>[...e,{label:u,value:o}])),void 0!==i.jsonData.postgresVersion&&i.jsonData.postgresVersion===o||(0,e.updateDatasourcePluginJsonDataOption)({options:i,onOptionsChange:a},"postgresVersion",o)}}else{const t=yield(0,H.getBackendSrv)().put(`/api/datasources/${i.id}`,i);o(!0),(0,e.updateDatasourcePluginOption)({options:i,onOptionsChange:a},"version",t.datasource.version)}},l=function(){var e=this,t=arguments;return new Promise((function(r,n){var o=s.apply(e,t);function i(e){vr(o,r,n,i,a,"next",e)}function a(e){vr(o,r,n,i,a,"throw",e)}i(void 0)}))},function(){return l.apply(this,arguments)});var s,l;(function(e){var t,r;return e.url&&e.jsonData.database&&e.user&&((null===(t=e.secureJsonData)||void 0===t?void 0:t.password)||(null===(r=e.secureJsonFields)||void 0===r?void 0:r.password))&&(e.jsonData.sslmode===lt.disable||e.jsonData.sslCertFile&&e.jsonData.sslKeyFile&&e.jsonData.sslRootCertFile)&&!e.jsonData.postgresVersion&&!e.readOnly})(i)&&t()}),[i,n,r])})({props:r,setVersionOptions:i}),function({onOptionsChange:e,options:t}){(0,K.useEffect)((()=>{const r=t.jsonData;let n=Be({},t),o=!1;if(t.database&&(Fe.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),n.database="",n.jsonData=ke(Be({},r),{database:t.database}),o=!0),void 0===r.maxOpenConns&&void 0===r.maxIdleConns&&void 0===r.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=H.config.sqlConnectionLimits;Fe.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),n.jsonData=ke(Be({},n.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===r.connMaxLifetime){const{connMaxLifetime:e}=H.config.sqlConnectionLimits;n.jsonData=ke(Be({},n.jsonData),{connMaxLifetime:e}),o=!0}o&&e(n)}),[e,t])}(r);const{options:l,onOptionsChange:u}=r,c=l.jsonData,E=[{value:lt.disable,label:"disable"},{value:lt.require,label:"require"},{value:lt.verifyCA,label:"verify-ca"},{value:lt.verifyFull,label:"verify-full"}],d=[{value:ut.filePath,label:"File system path"},{value:ut.fileContent,label:"Certificate content"}],p=t=>n=>{(0,e.updateDatasourcePluginJsonDataOption)(r,t,n.value)},f=e=>t=>{u(function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ar(e,t,r[t])}))}return e}({},l,{[e]:t.currentTarget.value}))},T=40;return(0,t.jsxs)(t.Fragment,{children:[(0,t.jsx)(Ze,{dataSourceName:"Postgres",docsLink:"https://grafana.com/docs/grafana/latest/datasources/postgres/",hasRequiredFields:!0}),(0,t.jsx)(Me,{}),(0,t.jsxs)(n.Collapse,{collapsible:!0,label:"User Permissions",isOpen:a,onToggle:()=>s((e=>!e)),children:["The database user should only be granted SELECT permissions on the specified database & tables you want to query. ",(0,t.jsx)("br",{}),"Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",(0,t.jsx)("code",{children:"DELETE FROM user;"})," and ",(0,t.jsx)("code",{children:"DROP TABLE user;"})," would be executed. ",(0,t.jsx)("br",{}),"To protect against this we ",(0,t.jsx)("strong",{children:"Highly"})," recommend you create a specific PostgreSQL user with restricted permissions. Check out the docs for more information."]}),(0,t.jsx)(Me,{}),(0,t.jsxs)(st,{title:"Connection",children:[(0,t.jsx)(n.Field,{label:"Host URL",required:!0,children:(0,t.jsx)(n.Input,{width:T,name:"host",type:"text",value:l.url||"",placeholder:"localhost:5432",onChange:f("url")})}),(0,t.jsx)(n.Field,{label:"Database name",required:!0,children:(0,t.jsx)(n.Input,{width:T,name:"database",value:c.database||"",placeholder:"Database",onChange:(0,e.onUpdateDatasourceJsonDataOption)(r,"database")})})]}),(0,t.jsx)(Me,{}),(0,t.jsxs)(st,{title:"Authentication",children:[(0,t.jsx)(n.Field,{label:"Username",required:!0,children:(0,t.jsx)(n.Input,{width:T,value:l.user||"",placeholder:"Username",onChange:f("user")})}),(0,t.jsx)(n.Field,{label:"Password",required:!0,children:(0,t.jsx)(n.SecretInput,{width:T,placeholder:"Password",isConfigured:l.secureJsonFields&&l.secureJsonFields.password,onReset:()=>{(0,e.updateDatasourcePluginResetOption)(r,"password")},onBlur:(0,e.onUpdateDatasourceSecureJsonDataOption)(r,"password")})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Mode"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"This option determines whether or with what priority a secure TLS/SSL TCP/IP connection will be negotiated with the server"}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Select,{options:E,value:c.sslmode||lt.require,onChange:p("sslmode"),width:T})}),l.jsonData.sslmode!==lt.disable?(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Method"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["This option determines how TLS/SSL certifications are configured. Selecting"," ",(0,t.jsx)("i",{children:"File system path"})," will allow you to configure certificates by specifying paths to existing certificates on the local file system where Grafana is running. Be sure that the file is readable by the user executing the Grafana process.",(0,t.jsx)("br",{}),(0,t.jsx)("br",{}),"Selecting ",(0,t.jsx)("i",{children:"Certificate content"})," will allow you to configure certificates by specifying its content. The content will be stored encrypted in Grafana's database. When connecting to the database the certificates will be written as files to Grafana's configured data path on the local file system."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Select,{options:d,value:c.tlsConfigurationMethod||ut.filePath,onChange:p("tlsConfigurationMethod"),width:T})}):null]}),c.sslmode!==lt.disable?(0,t.jsxs)(t.Fragment,{children:[(0,t.jsx)(Me,{}),(0,t.jsx)(st,{title:"TLS/SSL Auth Details",children:c.tlsConfigurationMethod===ut.fileContent?(0,t.jsx)(Ue,{showCACert:c.sslmode===lt.verifyCA||c.sslmode===lt.verifyFull,editorProps:r,labelWidth:T}):(0,t.jsxs)(t.Fragment,{children:[(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Root Certificate"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"If the selected TLS/SSL mode requires a server root certificate, provide the path to the file here."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Input,{value:c.sslRootCertFile||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(r,"sslRootCertFile"),placeholder:"TLS/SSL root cert file",width:T})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Client Certificate"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"To authenticate with an TLS/SSL client certificate, provide the path to the file here. Be sure that the file is readable by the user executing the grafana process."}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Input,{value:c.sslCertFile||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(r,"sslCertFile"),placeholder:"TLS/SSL client cert file",width:T})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TLS/SSL Client Key"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["To authenticate with a client TLS/SSL certificate, provide the path to the corresponding key file here. Be sure that the file is ",(0,t.jsx)("i",{children:"only"})," readable by the user executing the grafana process."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Input,{value:c.sslKeyFile||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(r,"sslKeyFile"),placeholder:"TLS/SSL client key file",width:T})})]})})]}):null,(0,t.jsx)(Me,{}),(0,t.jsxs)(st,{title:"Additional settings",isCollapsible:!0,children:[(0,t.jsxs)(Ce,{title:"PostgreSQL Options",children:[(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Version"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsx)("span",{children:"This option controls what functions are available in the PostgreSQL query builder"}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Select,{value:c.postgresVersion||903,onChange:p("postgresVersion"),options:o,width:T})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"Min time interval"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",(0,t.jsx)("code",{children:"1m"})," if your data is written every minute."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Input,{placeholder:"1m",value:c.timeInterval||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(r,"timeInterval"),width:T})}),(0,t.jsx)(n.Field,{label:(0,t.jsx)(n.Label,{children:(0,t.jsxs)(Pe.B,{gap:.5,children:[(0,t.jsx)("span",{children:"TimescaleDB"}),(0,t.jsx)(n.Tooltip,{content:(0,t.jsxs)("span",{children:["TimescaleDB is a time-series database built as a PostgreSQL extension. If enabled, Grafana will use",(0,t.jsx)("code",{children:"time_bucket"})," in the ",(0,t.jsx)("code",{children:"$__timeGroup"})," macro and display TimescaleDB specific aggregate functions in the query builder."]}),children:(0,t.jsx)(n.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,t.jsx)(n.Switch,{value:c.timescaledb||!1,onChange:t=>{(0,e.updateDatasourcePluginJsonDataOption)(r,"timescaledb",t.currentTarget.checked)},width:T})})]}),(0,t.jsx)(je,{options:l,onOptionsChange:u}),H.config.secureSocksDSProxyEnabled&&(0,t.jsx)(n.SecureSocksProxySettings,{options:l,onOptionsChange:u})]})]})}))})(),T})()));
//# sourceMappingURL=module.js.map